# Bryan Schumaker (8/13/2010)

import datetime
now = datetime.datetime.now
__start__ = now()

import gtk
import gobject
gobject.threads_init()

import libsaria
__vers__  = "Ocarina %s" % libsaria.__vstr__

def uptime():
	return now() - __start__

def quit(window, event):
	gtk.main_quit()
	libsaria.shutdown()
	print "Ocarina ran for:", uptime()

import window
import playlist
import queue
import library
import callbacks

callbacks.on_get_art("images/ocarina.png", 0)
libsaria.startup()
print "Startup took:", uptime()
gtk.main()
